=== src/services/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(accesscontrol)
add_subdirectory(sharecontrol)
add_subdirectory(anything)
add_subdirectory(mountcontrol)
