=== tests/apps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(dde-desktop)
add_subdirectory(dde-file-manager)
add_subdirectory(dde-file-manager-daemon)
add_subdirectory(dde-file-manager-server)
