=== src/plugins/daemon/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(core/daemonplugin-core)
add_subdirectory(daemonplugin-filemanager1)
add_subdirectory(daemonplugin-tag)
add_subdirectory(daemonplugin-vault)
add_subdirectory(daemon-recentdaemon)
