=== debian/changelog ===
dde-file-manager (6.5.10.4) unstable; urgency=medium

  * fix log initialization bug due to incorrect startup order
  * fix adjust size calculation for symbolic links in file statistics

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 21 Feb 2025 17:22:59 +0800

dde-file-manager (6.5.10.3) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Feb 2025 10:27:05 +0800

dde-file-manager (6.5.10.2) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Dec 2024 17:10:08 +0800

dde-file-manager (6.5.10.1) unstable; urgency=medium

  * update to 6.5.10.1

 -- liuyangming <liuyangming@uniontech.com>  Sat, 07 Dec 2024 16:46:52 +0800

dde-file-manager (6.5.10) unstable; urgency=medium

  [ zhangsheng ]
  * desktop adapt to Qt6.8

  [ XuShitong ]
  * fix AbstractBaseView ABI issue.

 -- XuShitong <xushitong@uniontech.com>  Fri, 22 Nov 2024 13:35:06 +0800

dde-file-manager (6.5.9) unstable; urgency=medium

  * fix dav mount issue.
  * 

 -- XuShitong <xushitong@uniontech.com>  Fri, 15 Nov 2024 13:11:25 +0800

dde-file-manager (6.5.8) unstable; urgency=medium

  * fix some bugs 
  * dav/nfs supported

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 08 Nov 2024 13:41:17 +0800

dde-file-manager (6.5.7) unstable; urgency=medium

  * fix some bugs
  * 

 -- liuyangming <liuyangming@uniontech.com>  Sat, 12 Oct 2024 14:04:10 +0800

dde-file-manager (6.5.6) unstable; urgency=medium

  * fix some bugs

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 11 Oct 2024 16:18:07 +0800

dde-file-manager (6.5.5) unstable; urgency=medium

  * update version to 6.5.5
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 26 Sep 2024 17:35:18 +0800

dde-file-manager (6.5.4) unstable; urgency=medium

  * fix some bugs
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 20 Sep 2024 18:01:05 +0800

dde-file-manager (6.5.3) unstable; urgency=medium

  * change version to 6.5.3

 -- liuyangming <liuyangming@uniontech.com>  Fri, 06 Sep 2024 18:52:01 +0800

dde-file-manager (6.5.2) unstable; urgency=medium

  * refactor daemon
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 05 Sep 2024 22:25:31 +0800

dde-file-manager (6.5.1) unstable; urgency=medium

  * update file manager version to V6.5.1
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 22 Aug 2024 13:33:50 +0800

dde-file-manager (6.5.0) unstable; urgency=medium

  * update file manager version to V6.5.0
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 15 Aug 2024 18:14:50 +0800
