=== tests/dfm-extension/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# 定义可执行程序名称
set(BIN_NAME test-dfm-extension)
