=== tests/tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(upgrade)
