=== debian/changelog ===
dde-file-manager (6.5.10.6) unstable; urgency=medium

  * Fix prevent infinite loop in canDrop method of FileInfoPrivate

 -- Liu Yangming <liuyangming@uniontech.com>  Tue, 13 May 2025 09:58:11 +0800
